%define		_status		beta
%define		_pearname	HTTP_Session
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Object-oriented interface to the session_* family functions
Summary(pl.UTF-8):	%{_pearname} - Obiektowy interfejs do funkcji z rodziny session_*
Name:		php-pear-%{_pearname}
Version:	0.5.6
Release:	5
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	96a45274b2164f13c3b73e274453787d
URL:		http://pear.php.net/package/HTTP_Session/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.3.3
Suggests:	php-pear-DB
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
Obsoletes:	php-pear-HTTP_Session-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(DB.*)' 'pear(MDB.*)' 'pear(MDB2.*)'

%description
Object-oriented interface to the session_* family functions; it
provides extra features such as database storage for session data
using DB package. It introduces new methods like isNewSession(),
setCookieless(), abandon(), setExpire(), setIdle(), isExpired(),
isIdled() and others.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet jest obiektowo zorientowanym interfejsem do funkcji z
rodziny session_*. Dostarcza dodatkowe możliwości, takie jak
składowanie danych sesji w bazie danych przy użyciu pakietu DB.
Wprowadza nowe metody, takie jak isNewSession(), setCookieless(),
abandon(), setExpire(), setIdle(), isExpired(), isIdled() i inne.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/HTTP/Session
%dir %{php_pear_dir}/HTTP/Session/Container
%{php_pear_dir}/HTTP/*.php
%{php_pear_dir}/HTTP/Session/*.php
%{php_pear_dir}/HTTP/Session/Container/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> f00f996
- use php(core) for php engine version deps
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> bc3126a
- release 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ec54d0c
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 4a4dedb
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 56cac8c
- rel 2

* Wed Aug 22 2007 Adam Gołębiowski <adamg@pld-linux.org> d633e09
- updated to 0.5.6; tests subpackage

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9b14d27
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9bf2d3a
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> ddb7622
- updated to 0.5.5

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 1fa285c
- BR rpm-build macros >= 1.300 for %pear_ macros

* Fri May 19 2006 Elan Ruusamäe <glen@pld-linux.org> 24cf652
- 0.5.2

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 6d0b033
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> a7d9104
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> bbb4487
- require php-pear-PEAR-core, not the full PEAR package with deps

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> cff9d40
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 9aee058
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 80ca179
- new pear packaging

* Sun Sep 04 2005 Adam Gołębiowski <adamg@pld-linux.org> c53932a
- updated to 0.5.1

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> d29ce05
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> a759bdd
- fixed english information about status of the package

